#ifndef AMPIRE_GRAPHICS_H_
#define AMPIRE_GRAPHICS_H_

#define RED_FULL	0x1f
#define BLUE_FULL	0x1f
#define GREEN_FULL	0x3f
#define BLACK_FULL	0x00


#define BLACK					((BLACK_FULL<<11)	| (BLACK_FULL<<5)		| (BLACK_FULL<<0))
#define RED						((RED_FULL<<11) 	| (BLACK_FULL<<5)		| (BLACK_FULL<<0))
#define GREEN					((BLACK_FULL<<11)	| (GREEN_FULL<<5) 		| (BLACK_FULL<<0))
#define YELLOW					((RED_FULL<<11) 	| (GREEN_FULL<<5) 		| (BLACK_FULL<<0))
#define BLUE					((BLACK_FULL<<11)	| (BLACK_FULL<<5) 		| (BLUE_FULL<<0))
#define WHITE					((RED_FULL<<11)		| (GREEN_FULL<<5) 		| (BLUE_FULL<<0))
#define ORANGE					((RED_FULL<<11) 	|  ((GREEN_FULL-8)<<5)	| (BLACK_FULL<<0))
									
#define TRANSPARENT			0x80000

#define EXTRA_SPACE                 (SCREEN_WIDTH * 3)

typedef struct{
	int x, y;
}point_t;




void amp_fillscreen(unsigned short color);
void amp_draw_box(unsigned int x, unsigned int y, int size, unsigned short color);
int amp_GetStoredImage(unsigned short *image, int size);
void amp_draw_pixel(point_t *p, unsigned short color);
void amp_draw_image(unsigned int left, unsigned int right, unsigned int top,unsigned int bottom, unsigned short *colors);

void amp_draw_bitmap(unsigned char *bitmap);

void amp_color_test(unsigned short * image);
int amp_rainbow_fps_test(int frames);

#define FONT_SIZE_5x7	0x0057
#define FONT_SIZE_8x8	0x0088
#define FONT_SIZE_8x15  0x008f
#define FONT_MARGIN		10

void amp_write_at(unsigned int x, unsigned int y, char * t, unsigned short fontcolor, unsigned short backcolor, int size);



void amp_line(point_t *a, point_t *b, unsigned short color);
void amp_circle(point_t *p, int r,  unsigned short color, int solid );
void amp_rectangle(point_t *a, point_t *b, unsigned short color, int solid);

#endif /*AMPIRE_GRAPHICS_H_*/
